# Class CIM_OwningPrintQueue
extends CIM_JobDestinationJobs

This association indicates which Queue holds a PrintJob and where the Job is located within that Queue. A Job can remain on its final Queue when it has been printed with a PrintJobStatus of "Complete" or "Completed With Error".

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_JobDestinationJobs
|
+--CIM_OwningPrintQueue

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | This association indicates which Queue holds a PrintJob and where the Job is located within that Queue. A Job can remain on its final Queue when it has been printed with a PrintJobStatus of "Complete" or "Completed With Error".
UMLPackagePath | string | CIM::Device::Printing
Version | string | 2.14.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
QueuePosition | uint32 |
Description | string | The position of the PrintJob on the Queue. The head of the Queue is indicated by a value of 1 with higher values being used to represent Jobs that are further away from the head of the Queue. A QueuePosition of 0 indicates that the Job has completed (either with or without error).
MappingStrings | string | MIB.IETF|Job-Monitoring-MIB.jmNumberOfInterveningJobs, MIB.IETF|Job-Monitoring-MIB.jmJobState, RFC2911.IETF|Job.number-of-intervening-jobs, RFC2911.IETF|Job.job-state

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_OwningPrintQueue | CIM_PrintQueue
Dependent | CIM_OwningPrintQueue | CIM_PrintJob

## Class Methods